@echo off

for %%i in (*.t) do (
  copy %%i %%~ni > nul
)

call python bender_tests_gen.py

if EXIST ..\check.cpp g++ ..\check.cpp -o ..\check.exe -O2
if EXIST ..\check.dpr dcc32 -cc ..\check.dpr
if EXIST ..\Check.java (
pushd ..
    mkdir __chktmp
    call javac -classpath testlib4j.jar -d __chktmp Check.java 
    pushd __chktmp
    call jar cf Check.jar *.class
    xcopy /Y Check.jar ..
    popd
    rmdir /S /Q __chktmp
popd
)

call tall vu
call docheck vu
